using System.ComponentModel;
using APT.Infrastructure.Core;
using APT.Infrastructure.Utility;

namespace APT.BaseData.Domain.Entities.BD
{
    [Description("服务器信息表")]
    [Redis("ID","IP")]
    public class T_BD_SERVER_INFO : MesEntityBase
    {
        [Description("编码")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(30)]
        public string CODE { get; set; }

        [Description("IP地址")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(30)]
        public string IP { get; set; }

        [Description("Cpu使用率")]
        [FormFieldTable]
        public decimal CPU { get; set; }

        [Description("内存大小：G")]
        [FormFieldTable]
        public decimal MEMORY { get; set; }


        [Description("磁盘大小：G")]
        [FormFieldTable]
        public decimal STORAGE { get; set; }


        [Description("启用标志")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [EnumName("FMEnableStatusEnum")]
        public int ENABLE_STATUS { get; set; }

        [Description("备注")]
        [FormFieldEdit]
        [DataFieldLength(100)]
        public string REMARK { get; set; }
    }
}
